View Issue Details

IDProjectCategoryView StatusLast Update
0001619SUMoNew Featurepublic2015-07-04 23:57
ReporterbyteheadAssigned ToKyle_Katarn 
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0001619: Custom scan mode with Include/Exclude capabilities (aka arbitrary folder/registry scan presets)
DescriptionAFAIK currently SUMo only scans either Desktop /Start menu shortcuts (Normal scan) or that + Program Files folder (In-depth scan). Plus it also seems to look for some specific apps like Adobe Flash Player, ffmpeg, etc. in the registry regardless (?) of the scan mode.

ATM there's no way for a user to customize this scope and as a result many apps/programs residing in other locations (i.e. portable apps on network folders, flash drives, internal extra drives etc.) need to be checked for updates manually which kind of defeats the essential purpose of such automation tool.

So, we need a solid way to flexibly configure this, i.e. to have a Custom scan mode in addition to Normal and In-depth. The UI should allow to add any number of folders/*.exe files on any disk[s] one wishes to monitor. This list should be able to handle both include _and_ exclude entries.

Ideally it should also allow to control which registry paths/keys to include or exclude from the custom scan. Of course, all exclusion entries must have a precedence, so one e.g. can scan an external drive except for some specific location[s].

To make it an even more convenient solution, the exclusion list should be able to be provisioned interactively via the context menu of the main window (list of scanned files). E.g. we can have new commands in the context menu: Exclude this file from future checks / Exclude this folder from future checks / Ignore this update version (enabled only if the list already has this data).

Thus, the first 2 options would effectively add the entry to the proposed Include/Exclude customization list (taking into account either only the particular file OR the whole containing folder).

The latter option is actually a complementary new feature which has been proposed already in bug 0001602 and which UI could be integrated here for better UX.

If implemented, these two proposals combined would completely replace the current simplistic Ignore List mechanism and imho greatly improve the overall usefulness and usability of SUMo.

P.S. What exactly does "delete" command mean in the current context menu? The dialog text is totally confusing: "Do you want to permanently delete these items (ignore)?" So, was it meant to physically delete the file[s] or just put them into the Ignore List?
TagsNo tags attached.

Relationships

related to 0001242 resolvedKyle_Katarn It shall be possible to specify additional folders to be scanned 
related to 0001666 acknowledgedKyle_Katarn It shall be possible to ignore a file path in addition to product / company 
related to 0001876 closedKyle_Katarn Adding Programs 

Activities

poutnikg

2012-07-03 18:32

reporter   ~0000912

Related to 0001242

poutnikg

2012-07-04 06:56

reporter   ~0000914

Delete just deletes the file from the current list of monitored aps.

Permamently ( ignore ) also adds it to ignore list,
so it will never be added back by auto/manual scan.

bytehead

2012-07-04 15:52

reporter   ~0000916

@poutnikg

I wonder what's the difference then between "Delete" and "Ignore" commands in the context menu? Atm they both seem to do the same thing, that is delete the entry from the scanned list and put it into the Ignore List. The only diff I see is this redundant and confusing dialog when you try to "Delete".

poutnikg

2012-07-04 16:24

reporter   ~0000917

I see what you mean.

Menu Ignore = Menu Delete + Yes > Deleting entry + put it to ignore file
Menu Delete - No > Deleting entry only.

A separate issue should be created for that, IMHO.

Kyle_Katarn

2012-08-08 21:39

administrator   ~0001055

OK

poutnikg

2013-08-04 17:01

reporter   ~0001468

Feature request refresh.

With limited resources available for SUMO development,
changes improving overall SUMO usability
should have IMHO higher priority
over changes improving just some particular software management.

As they would positively affect all users and/or software.

Kyle_Katarn

2013-08-11 16:22

administrator   ~0001471

Will be adresse in SUMo v3.8 (my target)

By then, ~weekly 3.7 hotfixes focussed on interoperability

bytehead

2014-04-17 22:04

reporter   ~0001629

Some more complementary ideas:

1) make use of system and user-defined environment variables in the proposed preset configurations;
2) make standard presets ('normal' and 'in-depth') open and user configurable, also allowing them to be used as templates for user-defined ones;
3) add %APPDATA% and %LOCALAPPDATA% folders to 'in-depth' preset;
4) also consider adding %ALLUSERPROFILE% and %PUBLIC% folders in there;
5) add option to scan _all_ other local user profiles in 'in-depth' mode when launched with admin priviledges.

Kyle_Katarn

2014-04-17 23:11

administrator   ~0001630

Right !

bytehead

2014-04-17 23:24

reporter   ~0001631

Kyle, any plans on implementing this long-awaited mega feature?

Kyle_Katarn

2015-07-04 11:00

administrator   ~0001908

Yes, in v4.0 to be released ina few days from now :)

Issue History

Date Modified Username Field Change
2012-07-02 20:14 bytehead New Issue
2012-07-03 18:32 poutnikg Note Added: 0000912
2012-07-04 06:56 poutnikg Note Added: 0000914
2012-07-04 10:50 Kyle_Katarn Assigned To => Kyle_Katarn
2012-07-04 10:50 Kyle_Katarn Status new => acknowledged
2012-07-04 15:52 bytehead Note Added: 0000916
2012-07-04 16:24 poutnikg Note Added: 0000917
2012-08-08 15:40 bytehead Summary Include/Exclude customization list (for Custom scan mode) => Custom scan mode with Include/Exclude capabilities (aka arbitrary folder/registry scan presets)
2012-08-08 15:41 bytehead Relationship added related to 0001242
2012-08-08 15:44 bytehead Relationship added related to 0001666
2012-08-08 21:39 Kyle_Katarn Note Added: 0001055
2012-11-01 16:38 Kyle_Katarn Relationship added related to 0001642
2012-12-27 22:21 Kyle_Katarn Relationship added related to 0001876
2013-01-13 00:28 Kyle_Katarn Relationship deleted related to 0001642
2013-08-04 17:01 poutnikg Note Added: 0001468
2013-08-11 16:22 Kyle_Katarn Note Added: 0001471
2014-04-17 22:04 bytehead Note Added: 0001629
2014-04-17 23:11 Kyle_Katarn Note Added: 0001630
2014-04-17 23:24 bytehead Note Added: 0001631
2015-07-04 10:59 Kyle_Katarn Target Version => 4.0
2015-07-04 11:00 Kyle_Katarn Note Added: 0001908
2015-07-04 23:57 Kyle_Katarn Status acknowledged => resolved
2015-07-04 23:57 Kyle_Katarn Fixed in Version => 4.0
2015-07-04 23:57 Kyle_Katarn Resolution open => fixed